cancel
Showing results for 
Search instead for 
Did you mean: 

SUPEE-9767 issue with merged .js on 1.9

SUPEE-9767 issue with merged .js on 1.9

After Installing SUPEE-9767 there is an issue with the new jquery 1.12 that was added. The patch replaced the 1.10 version in /rwd/default/layout/page.xml that was under "Add vendor dependencies" (lower in the stack) and added 1.12 higher up in the stack just under prototype.js.

https://www.diffchecker.com/MwGkgPsK (original 1.9 on left, Patched version on right)

When the js files are merged under Configuration > Advanced > Developer it breaks the onclick events for the order button on product pages and the header links up top (cart, account, etc). Maybe other things as well as it generates a lot of errors in the chrome console for cookies, VarienForm, element.attachEvent, Translate... etc. When the .js is not merged it works as per normal.

Modifying /rwd/default/layout/page.xml to move 1.12 back down to 1.10's old place lets you merge the .js and have it work as per normal.

1 REPLY

Re: SUPEE-9767 issue with merged .js on 1.9

Hi, the diff has expired but moving the file to the previous location seems like a good solution here. 

----
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution" as appropriate. Thanks!